body.woocommerce .woocommerce-notices-wrapper {
    max-width: 1180px;
    margin: auto;
    margin-top: 20px;
}
body.woocommerce .woocommerce-error {
    background-color: #fff9f9;
    border-left: none;
    padding: 15px;
    margin-bottom: 20px;
    border-radius: 4px;
    border: 1px solid red;
    max-width: 1180px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
    width: 100%;
}
body.woocommerce .woocommerce-error li {
    color: #ff0000;
    font-weight: bold;
    padding-left: 0px!important;
    font-size: 14px;
    font-weight: 300;
    text-align:center;
}
body.woocommerce .woocommerce-error::before, 
body.woocommerce .woocommerce-info::before, 
body.woocommerce .woocommerce-message::before {
    font-family: WooCommerce;
    content: "\e028";
    content: "\e028"/"";
    display: inline-block;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    margin: auto;
    display: flex;
    align-items: center;
    width: 40px;
    justify-content: center;
    background: red;
    color: #fff!important;
    display:none;
}
.tv-addtocart-wrap {
    display: flex;
    align-items: center;
    gap: 5px;
    margin-top: 20px;
    flex-flow: wrap;
}
.woocommerce div.product form.cart .button{
    background-color: black!important; 
}
.woocommerce div.product form.cart .button, a.woo-buy-btn.btn.elementor-button {
    min-height: 45px;
    min-width: 150px;
    padding: 10px 0px;
    color: #fff;
    flex:1;
    border-radius: 5px;
}
.wc-addon-total strong{
    width: 100%;
}
.wc-addon-total span.total-price {
    float: right;
}
.woo-buy-btn.btn.elementor-button {
    float: right;
    min-width: 200px;
    background-color: #7f54b3; 
    border: none;
}
.woo-buy-btn.btn.elementor-button:hover , 
.woocommerce div.product form.cart .button:hover  {
    background: var( --e-global-color-a709291 )!important; 
}
.woo-buy-btn-wrap {
    display: flex;
    align-items: center;
    gap: 10px;
    width: 100%;
    flex: 1;
}
.woo-buy-btn-wrap span {
    width: 3.631em;
    text-align: center;
    font-weight: 600;
}
@media (min-width: 768px) {
.woocommerce div.product div.images.woocommerce-product-gallery , 
#wpgs-gallery.wcgs-woocommerce-product-gallery {
        width:100%!important;
    }
.woo-shop-gallery{
    width: 48%!important;
}
}
.woo-payment-methods img {
    width: 100%;
    max-width: 400px;
}
.woocommerce div.product div.images img {
    background: var(--e-global-color-cd94103);
    border: 1px solid var(--e-global-color-primary);;
}
.woocommerce div.product div.images .slick-dots {
    bottom: 0;
}
.woocommerce div.product div.images .wpgs-for .slick-slide{
     margin-right: 1px;
}
.woocommerce div.product div.images .slick-dotted.slick-slider {
    margin-bottom: 10px;
}
.woocommerce div.product div.images .slick-dotted.slick-slider .flaticon-back{
    left: 15px;
}
.woocommerce div.product div.images .slick-dotted.slick-slider .flaticon-right-arrow {
    right: 15px;
}
.woocommerce div.product div.summary {
    margin-bottom: 0!important;
}
.woocommerce div.product div.summary span.tc-epo-element-label-text {
    font-size: 18px;
}
.woocommerce div.product div.summary h1.product_title.entry-title {
    font-size: 35px;
}
@media (max-width: 991px) {
  .woocommerce div.product div.summary h1.product_title.entry-title {
    font-size: 30px;
}  
}
@media (max-width: 767px) {
  .woocommerce div.product div.summary h1.product_title.entry-title {
    font-size: 25px;
}  
}
 .woocommerce div.product div.summary span.wc-addon-from-price {
    color: black;
}
.woocommerce .wc-addon-from-price .woocommerce-Price-amount {
    font-size: 24px;
    font-weight: 600;
}